Bug 999634 (CVE-2013-4283)

Summary: CVE-2013-4283 389-ds-base: ns-slapd crash due to bogus DN
Product: [Other] Security Response Reporter: Chris Hudson <chhudson>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: jgalipea, jkurik, nhosoi, nkinder, rmeggins, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: impact=important,public=20130828,reported=20130821,source=redhat,cvss2=5.0/AV:N/AC:L/Au:N/C:N/I:N/A:P,rhel-6/389-ds-base=affected,rhel-7/389-ds-base=notaffected,fedora-all/389-ds-base=affected,epel-5/389-ds-base=affected,directory_server_8/Server=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-24 11:58:41 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1000631, 1000632, 1000633, 1000634, 1002215, 1002216    
Bug Blocks: 1000630    

Comment 6 Vincent Danen 2013-08-23 18:11:15 EDT
It was discovered that ns-slapd in 389 suffered from a flaw where a remote unauthenticated user able to send a MOD operation on a bogus DN to the 389 Directory Server and cause it to crash.
Comment 9 Vincent Danen 2013-08-23 18:25:26 EDT
This issue does not affect Red Hat Directory Server 8.
Comment 14 Vincent Danen 2013-08-28 11:55:56 EDT
Created 389-ds-base tracking bugs for this issue:

Affects: fedora-all [bug 1002215]
Affects: epel-5 [bug 1002216]
Comment 15 errata-xmlrpc 2013-08-28 12:04:59 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1182 https://rhn.redhat.com/errata/RHSA-2013-1182.html
Comment 16 Fedora Update System 2013-08-30 18:56:12 EDT
389-ds-base-1.3.0.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-08-30 19:02:53 EDT
389-ds-base-1.3.1.7-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.